<?php
require_once('DataManager.Class.php');

class Puerta {
    
    public $conn;

    function __construct($c) {
        
        if(isset($c)){
                $this->conn = $c;
        } else {
                $this->conn = DataManager::getInstance();
        }
    }


	public function informacionPuerta($idPuerta, $estado, $tipo_retorno)
	{
		$stmt = $this->conn->prepare("{CALL agenda.SP_puerta_informacion (?, ?)}");		
		$stmt->bindValue(1, $idPuerta, PDO::PARAM_INT);
		$stmt->bindValue(2, $estado, PDO::PARAM_BOOL);
		$stmt->execute();

		if($tipo_retorno == 0) {
			return $stmt->fetch();
		} else {
			return $stmt->fetchAll();
		}

		
	}

	public function ingresarPuerta($idBodega, $codigo, $descripcion, $capacidad, $prioridad) 
	{
		$stmt = $this->conn->prepare("{CALL agenda.SP_puerta_ingresa (?, ?, ?, ?, ?)}");
		$stmt->execute(array($idBodega, $codigo, $descripcion, $capacidad, $prioridad));

        return $stmt->fetch();	
    }
	
	public function modificarPuerta($idPuerta, $idBodega, $codigo, $descripcion, $capacidad, $prioridad, $estado) 
	{		
		$stmt = $this->conn->prepare("{CALL agenda.SP_puerta_modifica (?, ?, ?, ?, ?, ?, ?)}");        
		$stmt->execute(array($idPuerta, $idBodega, $codigo, $descripcion, $capacidad, $prioridad, $estado));

        return $stmt->fetch();	
    }
	
	public function eliminarPuerta($idPuerta) 
	{		
		$stmt = $this->conn->prepare("{CALL agenda.SP_puerta_eliminar (?)}");        
		$stmt->execute(array($idPuerta));

        return $stmt->fetch();	
    }
	 
    function Close() {
        
        $this->conn = null;
        
    }
}
?>